Skip to content

Resolve resource names

Request

Resolves enrolled resource names and returns any associated information and user access methods (UAMs)

Security
bearerAuth
Bodyapplication/json
client_featuresArray of strings

A list of features supported by the current sft client

include_privileged_user_access_methodsboolean

When set to true, includes additional user access methods for managed server accounts with an allowed privilege list. Requires include_user_access_methods to be true.

include_user_access_methodsboolean

If true, the response includes the user access methods for the resource

namesArray of stringsrequired

A list of resource names to resolve

user_access_method_filtersobject

Optional map of filters to apply per name. Keys must exactly match one of the names provided in the names array. If a key is provided, the corresponding filters are used to restrict user access methods for that name. For names without a corresponding key, no filters are applied and all user access methods are returned.

curl -i -X POST \
  'https://{org_name}.pam.okta.com/v1/resolve' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "names": [
      "api-server-west-01.example.com",
      "db-node-east-01.example.com"
    ],
    "client_features": [
      "on-demand-users",
      "gateways",
      "ad-joined",
      "gateway-brokered-rdp",
      "user-access-methods",
      "pam-password-account",
      "pam-password-gateway"
    ],
    "include_user_access_methods": true
  }'

Responses

OK

Bodyapplication/json
resultsArray of objects(NameResolutionResult)

A list of resolved resources

Response
{ "results": [ { … } ] }